/// <reference types="node" />
import { Transform, TransformOptions } from 'stream';
export declare abstract class Detour extends Transform {
    private readonly options;
    private detourFlow?;
    private detour;
    constructor(options: TransformOptions, detourFlow?: Transform);
    setDetourFlow(detourFlow: Transform): void;
    setDetour(detour?: boolean, initialChunk?: any): void;
    abstract process(chunk: any): void;
    cleanup(): void;
    _transform(chunk: any, encoding: string, callback: (error?: Error, data?: any) => void): void;
    _flush(callback: (error?: Error, data?: any) => void): void;
}
