export declare class ComponentGroup {
    alphabetic: string;
    ideographic: string;
    phonetic: string;
    constructor(alphabetic: string, ideographic?: string, phonetic?: string);
}
export declare class PersonName {
    familyName: ComponentGroup;
    givenName: ComponentGroup;
    middleName: ComponentGroup;
    prefix: ComponentGroup;
    suffix: ComponentGroup;
    constructor(familyName: ComponentGroup, givenName: ComponentGroup, middleName?: ComponentGroup, prefix?: ComponentGroup, suffix?: ComponentGroup);
    static parse(s: string): PersonName[];
    toString(): string;
}
