export declare abstract class TagPathLike<T extends TagPathLike<T>> {
    abstract tag(): number;
    abstract previous(): T;
    abstract isEmpty(): boolean;
    isRoot(): boolean;
    toList(): T[];
    contains(tag: number): boolean;
    depth(): number;
    head(): T;
    tail(): T;
    take(n: number): T;
    abstract drop(n: number): T;
}
