export declare class VR {
    readonly name: string;
    readonly code: number;
    readonly headerLength: number;
    readonly paddingByte: number;
    static AE: VR;
    static AS: VR;
    static AT: VR;
    static CS: VR;
    static DA: VR;
    static DS: VR;
    static DT: VR;
    static FD: VR;
    static FL: VR;
    static IS: VR;
    static LO: VR;
    static LT: VR;
    static OB: VR;
    static OD: VR;
    static OF: VR;
    static OL: VR;
    static OV: VR;
    static OW: VR;
    static PN: VR;
    static SH: VR;
    static SL: VR;
    static SQ: VR;
    static SS: VR;
    static ST: VR;
    static SV: VR;
    static TM: VR;
    static UC: VR;
    static UI: VR;
    static UL: VR;
    static UN: VR;
    static UR: VR;
    static US: VR;
    static UT: VR;
    static UV: VR;
    static values: VR[];
    static valueOf(code: number): VR;
    private static map;
    constructor(name: string, code: number, headerLength: number, paddingByte: number);
}
