/// <reference types="node" />
import { VR } from './vr';
export declare class CharacterSets {
    readonly charsets: string;
    static isVrAffectedBySpecificCharacterSet(vr: VR): boolean;
    static fromNames(names: string): CharacterSets;
    static fromBytes(specificCharacterSetBytes: Buffer): CharacterSets;
    static encode(s: string): Buffer;
    static defaultOnly(): CharacterSets;
    constructor(charsets: string);
    decode(bytes: Buffer, vr: VR): string;
    toString(): string;
}
export declare const defaultCharacterSet: CharacterSets;
