import { Element } from './dicom-elements';
import { Elements } from './elements';
export declare class ElementsBuilder {
    private builderStack;
    private sequenceStack;
    private lengthStack;
    private fragments;
    addElement(element: Element): ElementsBuilder;
    noteElement(element: Element): ElementsBuilder;
    currentDepth(): number;
    build(): Elements;
    private updateSequence;
    private updateFragments;
    private subtractLength;
    private pushBuilder;
    private pushSequence;
    private pushLength;
    private popBuilder;
    private popSequence;
    private hasSequence;
    private hasFragments;
    private sequenceIsIndeterminate;
    private itemIsIndeterminate;
    private endItem;
    private endSequence;
    private maybeDelimit;
}
